Move a form to another folder

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.lwolf.com/doc/transact-api/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Transact API MCP server": {
    "url": "https://apidocs.lwolf.com/doc/transact-api/mcp"
  }
}

Close
PATCH /forms-editor/api/v1/users/{userId}/FormPackages/{transactionId}/forms/{formId}

Updates the parent folder of a form within the transaction's form package.

Path parameters

  • userId string(uuid) Required

    Unique identifier (GUID) of the acting user. All Transact Workflow resources are scoped to a user.

  • transactionId string(uuid) Required

    GUID of the transaction (form package).

  • formId string(uuid) Required

    GUID of the form within the form package.

application/json

Body Required

  • parentId string(uuid) Required

    GUID of the destination folder for the form.

Responses

  • 200

    Successful response

  • 400 application/json

    The request is malformed or contains invalid parameters.

    Hide response attributes Show response attributes object
    • error string

      Error code or short error name.

    • message string

      Human-readable error description.

  • 401 application/json

    The access token is missing, invalid, or expired.

    Hide response attributes Show response attributes object
    • error string

      Error code or short error name.

    • message string

      Human-readable error description.

  • 403 application/json

    The caller is not permitted to perform this operation.

    Hide response attributes Show response attributes object
    • error string

      Error code or short error name.

    • message string

      Human-readable error description.

  • 404 application/json

    The requested resource does not exist.

    Hide response attributes Show response attributes object
    • error string

      Error code or short error name.

    • message string

      Human-readable error description.

PATCH /forms-editor/api/v1/users/{userId}/FormPackages/{transactionId}/forms/{formId}
curl \
 --request PATCH 'https://gateway.lwolf.com/forms-editor/api/v1/users/{userId}/FormPackages/{transactionId}/forms/{formId}' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "lw-subscription-key: $API_KEY" \
 --header "Content-Type: application/json" \
 --data '{"parentId":"string"}'
Request examples
{
  "parentId": "string"
}
Response examples (400)
{
  "error": "string",
  "message": "string"
}
Response examples (401)
{
  "error": "string",
  "message": "string"
}
Response examples (403)
{
  "error": "string",
  "message": "string"
}
Response examples (404)
{
  "error": "string",
  "message": "string"
}